summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDieter Plaetinck <dieter@plaetinck.be>2010-12-31 11:53:21 +0100
committerDieter Plaetinck <dieter@plaetinck.be>2010-12-31 11:53:21 +0100
commit4dfd4b7e8a560729ba723c2fa8d74275f128a0a6 (patch)
tree7a035d1445705b3f185dd7183755fa7fabf58e59
parent7a80bca9bed235df9b2b2d3ca01c0fe765201154 (diff)
warn user networking needs to work first
-rwxr-xr-xsrc/aif-report-issues.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/src/aif-report-issues.sh b/src/aif-report-issues.sh
index 18c91b2..5ed18f4 100755
--- a/src/aif-report-issues.sh
+++ b/src/aif-report-issues.sh
@@ -11,6 +11,16 @@ These are the files in question:
EOF
ls -lh $RUNTIME_DIR/* 2>/dev/null
ls -lh $LOG_DIR/* 2>/dev/null
+if ! ping -c 1 sprunge.us >/dev/null
+then
+ msg="Please setup your networking using one of
+* dhcpcd eth0 # or whatever your interface is
+* aif -p partial-configure-network
+
+If your networking works fine and you think sprunge.us is down, please upload the files to another pastebin"
+ show_warning "Connection error" "Cannot ping sprunge.us (pastebin server). $msg"
+ die_error "cannot reach pastebin"
+fi
report="Uploaded data:"
if ask_yesno "Send these files?"
then